Skip to main content
GET
/
v1
/
me
Me
curl --request GET \
  --url https://api.example.com/v1/me \
  --header 'Authorization: Bearer <token>'
{
  "uid": "<string>",
  "email": "<string>",
  "email_verified": true,
  "account_setup": true,
  "display_name": "<string>",
  "provider": "<string>",
  "picture": "<string>",
  "is_admin": true,
  "name": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "country": "<string>",
  "is_business_account": true,
  "company": "<string>",
  "website": "<string>",
  "title": "<string>",
  "require_email_verified": false,
  "is_team_account": false,
  "is_team_owner": false,
  "team_role": "<string>",
  "team_display_name": "<string>",
  "is_team_upgrade_enabled": true,
  "vercel_connection": {
    "user_id": "<string>",
    "installation_id": "<string>",
    "team_id": "<string>"
  },
  "checklist": {
    "stripe_balance": 123,
    "recent": 123,
    "limit": 123,
    "suspend_reason": "balance",
    "email": false,
    "billing_address": false,
    "payment_method": false,
    "suspended": false,
    "overdue_invoices": 0,
    "last_checked": 0,
    "topup": false,
    "topup_amount": 0,
    "topup_threshold": 0,
    "topup_failed": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

xi-api-key
string | null

Query Parameters

checklist
boolean
default:false

Response

Successful Response

uid
string
required
email
string | null
required
email_verified
boolean
required
account_setup
boolean
required
display_name
string
required

Name that is used to identifythe account on the website

provider
string
required

Authentication provider, e.g. 'github'

picture
string | null
required
is_admin
boolean
required
name
string
required

Personal name

first_name
string
required

First name of the user

last_name
string
required

Last name of the user

country
string
required

Country of the user

is_business_account
boolean
required
company
string
required

Company name

website
string
required

Company website address

title
string
required

Job title of the user, e.g. 'Software Engineer'

require_email_verified
boolean
default:false
is_team_account
boolean
default:false
is_team_owner
boolean
default:false
team_role
string | null
team_display_name
string | null
is_team_upgrade_enabled
boolean
default:true
vercel_connection
MeVercelConnection · object
checklist
Checklist · object